Page MenuHomePhabricator

elm_code_file: preserve permissions when saving.
AbandonedPublic

Authored by netstar on Sep 6 2018, 5:06 PM.

Details

Reviewers
ajwillia.ms
Summary

Let's preserve permissions of files when saving with
elm_code_file_save().

Test Plan
  • Create python project from template in Edi.
  • Edit and save setup.py
  • Run 'build' to trigger setup.py
  • Permissions should have remained and thus setup.py is executable.

Diff Detail

Repository
rEFL core/efl
Branch
filez
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 7589
Build 7158: arc lint + arc unit
netstar created this revision.Sep 6 2018, 5:06 PM
netstar requested review of this revision.Sep 6 2018, 5:06 PM
ajwillia.ms accepted this revision.Sep 7 2018, 9:31 AM

As long as this works for the windows build (I cannot test here)

This revision is now accepted and ready to land.Sep 7 2018, 9:31 AM

Abandon this as it's wrong.

netstar abandoned this revision.Sep 8 2018, 2:11 AM

This needs to be done differently. Will create new diff.